Skip to main content
GET
Retrieve a subscription's charge history

Headers

ApiKey
string
required

Your api key. To create a key, please get into our dashboard. If you don't have access to it, please reach the Support team.

MerchantId
string
required

Your merchant ID. This information is available in our dashboard. If you don't have access to it, please reach the Support team.

Environment
enum<string>
required

Allow you to choose between the sandbox mode to perform some tests or the live mode for real world transactions.

Available options:
live,
sandbox

Path Parameters

id
number
required

Query Parameters

page
number

The page number in the returned data. The default value is 1. Do use with 'perPage' query parameter to paginate properly.

Example:

2

perPage
number

The maximum number of results that will be return. The default value is 10. Do use with 'page' query parameter to paginate properly.

Example:

5

Response

id
number
required
amount
string
required

Decimal string in major currency units, e.g. "1500.00".

status
enum<string>
required
Available options:
pending,
success,
failed
transactionDate
string<date-time>
required
cybersourceReference
object | null
required

Null while a merchant_initiated charge is still pending confirmation from Cybersource.

merchantReference
object | null
required

Reference sent when triggering an on-demand charge. Null for scheduled RBS debits.

indicator
enum<string>
required
Available options:
CIT,
MIT